..
      Licensed under the Apache License, Version 2.0 (the "License"); you may
      not use this file except in compliance with the License. You may obtain
      a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
      WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
      License for the specific language governing permissions and limitations
      under the License.

      Convention for heading levels in Open vSwitch documentation:

      =======  Heading 0 (reserved for the title in a document)
      -------  Heading 1
      ~~~~~~~  Heading 2
      +++++++  Heading 3
      '''''''  Heading 4

      Avoid deeper levels because they do not render well.

=======
Authors
=======

The following people authored or signed off on commits in the Open
vSwitch source code or webpage version control repository.

================================== ===============================================
Name                               Email
================================== ===============================================
Aaron Conole                       aconole@redhat.com
Aaron Rosen                        arosen@clemson.edu
Alan Pevec                         alan.pevec@redhat.com
Alexander Duyck                    alexander.h.duyck@redhat.com
Alexandru Copot                    alex.mihai.c@gmail.com
Alexei Starovoitov                 ast@plumgrid.com
Alexey I. Froloff                  raorn@raorn.name
Alex Wang                          ee07b291@gmail.com
Alfredo Finelli                    alf@computationes.de
Alin Balutoiu                      abalutoiu@cloudbasesolutions.com
Alin Serdean                       aserdean@cloudbasesolutions.com
Ambika Arora                       ambika.arora@tcs.com
Amit Bose                          bose@noironetworks.com
Amitabha Biswas                    azbiswas@gmail.com
Anand Kumar                        kumaranand@vmware.com
Andrea Kao                         eirinikos@gmail.com
Andrew Evans                       aevans@nicira.com
Andrew Beekhof                     abeekhof@redhat.com
Andrew Kampjes                     a.kampjes@gmail.com
Andrew Lambeth                     wal@nicira.com
Andy Hill                          hillad@gmail.com
Andy Southgate                     andy.southgate@citrix.com
Andy Zhou                          azhou@ovn.org
Ankur Sharma                       ankursharma@vmware.com
Anoob Soman                        anoob.soman@citrix.com
Ansis Atteka                       aatteka@nicira.com
Antonio Fischetti                  antonio.fischetti@intel.com
Anupam Chanda                      achanda@nicira.com
Ariel Tubaltsev                    atubaltsev@vmware.com
Arnoldo Lutz                       arnoldo.lutz.guevara@hpe.com
Arun Sharma                        arun.sharma@calsoftinc.com
Aryan TaheriMonfared               aryan.taherimonfared@uis.no
Ashish Varma                       ashishvarma.ovs@gmail.com
Ashwin Swaminathan                 ashwinds@arista.com
Babu Shanmugam                     bschanmu@redhat.com
Ben Pfaff                          blp@ovn.org
Ben Warren                         ben@skyportsystems.com
Benli Ye                           daniely@vmware.com
Bert Vermeulen                     bert@biot.com
Bhanuprakash Bodireddy             bhanuprakash.bodireddy@intel.com
Billy O'Mahony                     billy.o.mahony@intel.com
Binbin Xu                          xu.binbin1@zte.com.cn
Brian Kruger                       bkruger+ovsdev@gmail.com
Bruce Davie                        bsd@nicira.com
Bryan Phillippe                    bp@toroki.com
Carlo Andreotti                    c.andreotti@m3s.it
Casey Barker                       crbarker@google.com
Chandra Sekhar Vejendla            csvejend@us.ibm.com
Christoph Jaeger                   cj@linux.com
Chris Wright                       chrisw@sous-sol.org
Chuck Short                        zulcss@ubuntu.com
Ciara Loftus                       ciara.loftus@intel.com
Clint Byrum                        clint@fewbar.com
Cong Wang                          amwang@redhat.com
Conner Herriges                    conner.herriges@ibm.com
Damien Millescamps                 damien.millescamps@6wind.com
Dan Carpenter                      dan.carpenter@oracle.com
Dan McGregor                       dan.mcgregor@usask.ca
Dan Wendlandt                      dan@nicira.com
Dan Williams                       dcbw@redhat.com
Daniel Alvarez                     dalvarez@redhat.com
Daniel Borkmann                    dborkman@redhat.com
Daniel Hiltgen                     daniel@netkine.com
Daniel Roman                       droman@nicira.com
Daniele Di Proietto                daniele.di.proietto@gmail.com
Daniele Venturino                  venturino.daniele+ovs@gmail.com
Danny Kukawka                      danny.kukawka@bisect.de
Darrell Ball                       dlu998@gmail.com
Dave Tucker                        dave@dtucker.co.uk
David Erickson                     derickso@stanford.edu
David Hill                         dhill@redhat.com
David S. Miller                    davem@davemloft.net
David Yang                         davidy@vmware.com
Dennis Sam                         dsam@arista.com
Devendra Naga                      devendra.aaru@gmail.com
Dmitry Krivenok                    krivenok.dmitry@gmail.com
Dominic Curran                     dominic.curran@citrix.com
Dongdong                           dongdong1@huawei.com
Dongjun                            dongj@dtdream.com
Duan Jiong                         djduanjiong@gmail.com
Duffie Cooley                      dcooley@nicira.com
Dustin Lundquist                   dustin@null-ptr.net
Ed Maste                           emaste@freebsd.org
Ed Swierk                          eswierk@skyportsystems.com
Edouard Bourguignon                madko@linuxed.net
Eelco Chaudron                     echaudro@redhat.com
Esteban Rodriguez Betancourt       estebarb@hpe.com
Aymerich Edward                    edward.aymerich@hpe.com
Edward Tomasz Napierała            trasz@freebsd.org
Eitan Eliahu                       eliahue@vmware.com
Eohyung Lee                        liquidnuker@gmail.com
Eric Dumazet                       edumazet@google.com
Eric Garver                        e@erig.me
Eric Sesterhenn                    eric.sesterhenn@lsexperts.de
Ethan J. Jackson                   ejj@eecs.berkeley.edu
Ethan Rahn                         erahn@arista.com
Eziz Durdyyev                      ezizdurdy@gmail.com
Flavio Fernandes                   flavio@flaviof.com
Flavio Leitner                     fbl@redhat.com
Francesco Fusco                    ffusco@redhat.com
Frédéric Tobias Christ             fchrist@live.de
Frode Nordahl                      frode.nordahl@gmail.com
FUJITA Tomonori                    fujita.tomonori@lab.ntt.co.jp
Gabe Beged-Dov                     gabe@begeddov.com
Gaetano Catalli                    gaetano.catalli@gmail.com
Gal Sagie                          gal.sagie@gmail.com
Genevieve LEsperance               glesperance@pivotal.io
Geoffrey Wossum                    gwossum@acm.org
Gianluca Merlo                     gianluca.merlo@gmail.com
Giuseppe Lettieri                  g.lettieri@iet.unipi.it
Glen Gibb                          grg@stanford.edu
Guoshuai Li                        ligs@dtdream.com
Guolin Yang                        gyang@nicira.com
Guru Chaitanya Perakam             gperakam@Brocade.com
Gurucharan Shetty                  guru@ovn.org
Han Zhou                           zhouhan@gmail.com
Henry Mai                          hmai@nicira.com
Hao Zheng                          hzheng@nicira.com
Helmut Schaa                       helmut.schaa@googlemail.com
Hiteshi Kalra                      hiteshi.kalra@tcs.com
Huanle Han                         hanxueluo@gmail.com
Hui Kang                           kangh@us.ibm.com
Ian Campbell                       Ian.Campbell@citrix.com
Ian Stokes                         ian.stokes@intel.com
Ilya Maximets                      i.maximets@samsung.com
Iman Tabrizian                     tabrizian@outlook.com
Isaku Yamahata                     yamahata@valinux.co.jp
Ivan Dyukov                        i.dyukov@samsung.com
IWASE Yusuke                       iwase.yusuke@gmail.com
Jakub Libosvar                     libosvar@redhat.com
Jakub Sitnicki                     jsitnicki@gmail.com
James P.                           roampune@gmail.com
James Page                         james.page@ubuntu.com
Jamie Lennox                       jamielennox@gmail.com
Jan Scheurich                      jan.scheurich@ericsson.com
Jan Vansteenkiste                  jan@vstone.eu
Jarno Rajahalme                    jarno@ovn.org
Jason Kölker                       jason@koelker.net
Jason Wessel                       jason.wessel@windriver.com
Jasper Capel                       jasper@capel.tv
Jean Tourrilhes                    jt@hpl.hp.com
Jeremy Stribling                   strib@nicira.com
Jeroen van Bemmel                  jvb127@gmail.com
Jesse Gross                        jesse@kernel.org
Jian Li                            lijian@ooclab.com
Jing Ai                            jinga@google.com
Jiri Benc                          jbenc@redhat.com
Joe Perches                        joe@perches.com
Joe Stringer                       joe@ovn.org
Jonathan Vestin                    jonavest@kau.se
Jorge Arturo Sauma Vargas          jorge.sauma@hpe.com
Jun Nakajima                       jun.nakajima@intel.com
JunhanYan                          juyan@redhat.com
JunoZhu                            zhunatuzi@gmail.com
Justin Pettit                      jpettit@ovn.org
Kaige Fu                           fukaige@huawei.com
Keith Amidon                       keith@nicira.com
Ken Ajiro                          ajiro@mxw.nes.nec.co.jp
Ken Sanislo                        ken@intherack.com
Kenneth Duda                       kduda@arista.com
Kentaro Ebisawa                    ebiken.g@gmail.com
Keshav Gupta                       keshav.gupta@ericsson.com
Kevin Lo                           kevlo@FreeBSD.org
Kevin Traynor                      kevin.traynor@intel.com
Khem Raj                           raj.khem@gmail.com
Kmindg G                           kmindg@gmail.com
Kris Murphy                        kriskend@linux.vnet.ibm.com
Krishna Kondaka                    kkondaka@vmware.com
Kyle Mestery                       mestery@mestery.com
Kyle Simpson                       kyleandrew.simpson@gmail.com
Kyle Upton                         kupton@baymicrosystems.com
Lance Richardson                   lrichard@redhat.com
Lars Kellogg-Stedman               lars@redhat.com
Lei Huang                          huang.f.lei@gmail.com
Leif Madsen                        lmadsen@redhat.com
Leo Alterman                       lalterman@nicira.com
Lilijun                            jerry.lilijun@huawei.com
Lili Huang                         huanglili.huang@huawei.com
Linda Sun                          lsun@vmware.com
Lior Neudorfer                     lior@guardicore.com
Lorand Jakab                       lojakab@cisco.com
Lorenzo Bianconi                   lorenzo.bianconi@redhat.com
Luca Giraudo                       lgiraudo@nicira.com
Lucas Alvares Gomes                lucasagomes@gmail.com
Lucian Petrut                      lpetrut@cloudbasesolutions.com
Luigi Rizzo                        rizzo@iet.unipi.it
Luis E. P.                         l31g@hotmail.com
Lukasz Rzasik                      lukasz.rzasik@gmail.com
Madhu Challa                       challa@noironetworks.com
Manohar K C                        manukc@gmail.com
Marcin Mirecki                     mmirecki@redhat.com
Mario Cabrera                      mario.cabrera@hpe.com
Mark D. Gray                       mark.d.gray@intel.com
Mark Hamilton                      mhamilton@nicira.com
Mark Kavanagh                      mark.b.kavanagh81@gmail.com
Mark Maglana                       mmaglana@gmail.com
Mark Michelson                     mmichels@redhat.com
Markos Chandras                    mchandras@suse.de
Martin Casado                      casado@nicira.com
Martino Fornasa                    mf@fornasa.it
Maryam Tahhan                      maryam.tahhan@intel.com
Matteo Croce                       mcroce@redhat.com
Mauricio Vásquez                   mauricio.vasquezbernal@studenti.polito.it
Maxime Coquelin                    maxime.coquelin@redhat.com
Mehak Mahajan                      mmahajan@nicira.com
Michael Arnaldi                    arnaldimichael@gmail.com
Michal Weglicki                    michalx.weglicki@intel.com
Mickey Spiegel                     mickeys.dev@gmail.com
Miguel Angel Ajo                   majopela@redhat.com
Mijo Safradin                      mijo@linux.vnet.ibm.com
Mika Vaisanen                      mika.vaisanen@gmail.com
Minoru TAKAHASHI                   takahashi.minoru7@gmail.com
Murphy McCauley                    murphy.mccauley@gmail.com
Natasha Gude                       natasha@nicira.com
Neal Shrader                       neal@digitalocean.com
Neil McKee                         neil.mckee@inmon.com
Neil Zhu                           zhuj@centecnetworks.com
Nimay Desai                        nimaydesai1@gmail.com
Nithin Raju                        nithin@vmware.com
Niti Rohilla                       niti.rohilla@tcs.com
Nitin Katiyar                      nitin.katiyar@ericsson.com
Numan Siddique                     nusiddiq@redhat.com
Ofer Ben-Yacov                     ofer.benyacov@gmail.com
Or Gerlitz                         ogerlitz@mellanox.com
Ori Shoshan                        ori.shoshan@guardicore.com
Padmanabhan Krishnan               kprad1@yahoo.com
Panu Matilainen                    pmatilai@redhat.com
Paraneetharan Chandrasekaran       paraneetharanc@gmail.com
Paul Boca                          pboca@cloudbasesolutions.com
Paul Fazzone                       pfazzone@nicira.com
Paul Ingram                        paul@nicira.com
Paul-Emmanuel Raoul                skyper@skyplabs.net
Pavithra Ramesh                    paramesh@vmware.com
Peter Downs                        padowns@gmail.com
Philippe Jung                      phil.jung@free.fr
Pim van den Berg                   pim@nethuis.nl
pritesh                            pritesh.kothari@cisco.com
Pravin B Shelar                    pshelar@nicira.com
Przemyslaw Szczerbik               przemyslawx.szczerbik@intel.com
Quentin Monnet                     quentin.monnet@6wind.com
Raju Subramanian                   rsubramanian@nicira.com
Rami Rosen                         ramirose@gmail.com
Ramu Ramamurthy                    ramu.ramamurthy@us.ibm.com
Randall Sharo                      andall.sharo@navy.mil
Ravi Kerur                         Ravi.Kerur@telekom.com
Raymond Burkholder                 ray@oneunified.net
Reid Price                         reid@nicira.com
Remko Tronçon                      git@el-tramo.be
Rich Lane                          rlane@bigswitch.com
Richard Oliver                     richard@richard-oliver.co.uk
Rishi Bamba                        rishi.bamba@tcs.com
Rob Adams                          readams@readams.net
Robert Åkerblom-Andersson          Robert.nr1@gmail.com
Robert Wojciechowicz               robertx.wojciechowicz@intel.com
Rob Hoes                           rob.hoes@citrix.com
Rohith Basavaraja                  rohith.basavaraja@gmail.com
Roi Dayan                          roid@mellanox.com
Róbert Mulik                       robert.mulik@ericsson.com
Romain Lenglet                     romain.lenglet@berabera.info
Russell Bryant                     russell@ovn.org
RYAN D. MOATS                      rmoats@us.ibm.com
Ryan Wilson                        wryan@nicira.com
Sairam Venugopal                   vsairam@vmware.com
Sajjad Lateef                      slateef@nicira.com
Saloni Jain                        saloni.jain@tcs.com
Samuel Ghinet                      sghinet@cloudbasesolutions.com
Sanjay Sane                        ssane@nicira.com
Saurabh Mohan                      saurabh@cplanenetworks.com
Saurabh Shah                       ssaurabh@nicira.com
Saurabh Shrivastava                saurabh.shrivastava@nuagenetworks.net
Scott Lowe                         scott.lowe@scottlowe.org
Scott Mann                         sdmnix@gmail.com
Selvamuthukumar                    smkumar@merunetworks.com
Sha Zhang                          zhangsha.zhang@huawei.com
Shad Ansari                        shad.ansari@hpe.com
Shan Wei                           davidshan@tencent.com
Shashank Ram                       rams@vmware.com
Shashwat Srivastava                shashwat.srivastava@tcs.com
Shih-Hao Li                        shli@nicira.com
Shu Shen                           shu.shen@radisys.com
Simon Horman                       horms@verge.net.au
Simon Horman                       simon.horman@netronome.com
Sorin Vinturis                     svinturis@cloudbasesolutions.com
Steffen Gebert                     steffen.gebert@informatik.uni-wuerzburg.de
Sten Spans                         sten@blinkenlights.nl
Stephane A. Sezer                  sas@cd80.net
Stephen Finucane                   stephen@that.guru
Steve Ruan                         ruansx@cn.ibm.com
Stuart Cardall                     developer@it-offshore.co.uk
Sugesh Chandran                    sugesh.chandran@intel.com
SUGYO Kazushi                      sugyo.org@gmail.com
Tadaaki Nagao                      nagao@stratosphere.co.jp
Terry Wilson                       twilson@redhat.com
Tetsuo NAKAGAWA                    nakagawa@mxc.nes.nec.co.jp
Thadeu Lima de Souza Cascardo      cascardo@cascardo.eti.br
Thomas F. Herbert                  thomasfherbert@gmail.com
Thomas Goirand                     zigo@debian.org
Thomas Graf                        tgraf@noironetworks.com
Thomas Lacroix                     thomas.lacroix@citrix.com
Timo Puha                          timox.puha@intel.com
Timothy Redaelli                   tredaelli@redhat.com
Todd Deshane                       deshantm@gmail.com
Tom Everman                        teverman@google.com
Toms Atteka                        cpp.code.lv@gmail.com
Torgny Lindberg                    torgny.lindberg@ericsson.com
Tsvi Slonim                        tsvi@toroki.com
Tuan Nguyen                        tuan.nguyen@veriksystems.com
Tyler Coumbes                      coumbes@gmail.com
Tony van der Peet                  tony.vanderpeet@alliedtelesis.co.nz
Tonghao Zhang                      xiangxia.m.yue@gmail.com
Valient Gough                      vgough@pobox.com
Venkata Anil Kommaddi              vkommadi@redhat.com
Vishal Deep Ajmera                 vishal.deep.ajmera@ericsson.com
Vivien Bernet-Rollande             vbr@soprive.net
wangqianyu                         wang.qianyu@zte.com.cn
Wang Sheng-Hui                     shhuiw@gmail.com
Wang Zhike                         wangzhike@jd.com
Wei Li                             liw@dtdream.com
Wei Yongjun                        yjwei@cn.fujitsu.com
Wenyu Zhang                        wenyuz@vmware.com
William Fulton
William Tu                         u9012063@gmail.com
Xiao Liang                         shaw.leon@gmail.com
xu rong                            xu.rong@zte.com.cn
YAMAMOTO Takashi                   yamamoto@midokura.com
Yasuhito Takamiya                  yasuhito@gmail.com
Yi-Hung Wei                        yihung.wei@gmail.com
Yifeng Sun                         pkusunyifeng@gmail.com
Yin Lin                            linyi@vmware.com
Yu Zhiguo                          yuzg@cn.fujitsu.com
Yuanhan Liu                        yuanhan.liu@linux.intel.com
Yunjian Wang                       wangyunjian@huawei.com
ZhengLingyun                       konghuarukhr@163.com
Zoltán Balogh                      zoltan.balogh.eth@gmail.com
Zoltan Kiss                        zoltan.kiss@citrix.com
Zongkai LI                         zealokii@gmail.com
Zhi Yong Wu                        zwu.kernel@gmail.com
Zang MingJie                       zealot0630@gmail.com
Zhenyu Gao                         sysugaozhenyu@gmail.com
ZhiPeng Lu                         lu.zhipeng@zte.com.cn
Zhou Yangchao                      1028519445@qq.com
aginwala                           amginwal@gmail.com
wenxu                              wenxu@ucloud.cn
wisd0me                            ak47izatool@gmail.com
xushengping                        shengping.xu@huawei.com
yinpeijun                          yinpeijun@huawei.com
zangchuanqiang                     zangchuanqiang@huawei.com
zhaojingjing                       zhao.jingjing1@zte.com.cn
zhongbaisong                       zhongbaisong@huawei.com
zhaozhanxu                         zhaozhanxu@163.com
================================== ===============================================

The following additional people are mentioned in commit logs as having
provided helpful bug reports or suggestions.

=============================== ===============================================
Name                            Email
=============================== ===============================================
Aaron M. Ucko                   ucko@debian.org
Abhinav Singhal                 Abhinav.Singhal@spirent.com
Adam Heath                      doogie@brainfood.com
Ahmed Bilal                     numan252@gmail.com
Alan Kayahan                    hsykay@gmail.com
Alan Shieh                      ashieh@nicira.com
Alban Browaeys                  prahal@yahoo.com
Alex Yip                        alex@nicira.com
Alexey I. Froloff               raorn@altlinux.org
Amar Padmanabhan                amar@nicira.com
Amey Bhide                      abhide@nicira.com
Amre Shakimov                   ashakimov@vmware.com
André Ruß                       andre.russ@hybris.com
Andreas Beckmann                debian@abeckmann.de
Andrei Andone                   andrei.andone@softvision.ro
Andrey Korolyov                 andrey@xdel.ru
Anil Jangam                     anilj.mailing@gmail.com
Anshuman Manral                 anshuman.manral@outlook.com
Anton Matsiuk                   anton.matsiuk@gmail.com
Anup Khadka                     khadka.py@gmail.com
Anuprem Chalvadi                achalvadi@vmware.com
Ariel Tubaltsev                 atubaltsev@vmware.com
Arkajit Ghosh                   arkajit.ghosh@tcs.com
Atzm Watanabe                   atzm@stratosphere.co.jp
Aurélien Poulain                aurepoulain@viacesi.fr
Bastian Blank                   waldi@debian.org
Ben Basler                      bbasler@nicira.com
Bhargava Shastry                bshastry@sec.t-labs.tu-berlin.de
Bob Ball                        bob.ball@citrix.com
Brad Hall                       brad@nicira.com
Brad Cowie                      brad@wand.net.nz
Brailey Josh                    josh@faucet.nz
Brandon Heller                  brandonh@stanford.edu
Brendan Kelley                  bkelley@nicira.com
Brent Salisbury                 brent.salisbury@gmail.com
Brian Field                     Brian_Field@cable.comcast.com
Bryan Fulton                    bryan@nicira.com
Bryan Osoro                     bosoro@nicira.com
Cedric Hobbs                    cedric@nicira.com
Chris Hydon                     chydon@aristanetworks.com
Christian Stigen Larsen         cslarsen@gmail.com
Christopher Paggen              cpaggen@cisco.com
Chunhe Li                       lichunhe@huawei.com
Daniel Badea                    daniel.badea@windriver.com
Darragh O'Reilly                darragh.oreilly@hpe.com
Dave Walker                     DaveWalker@ubuntu.com
David Evans                     davidjoshuaevans@gmail.com
David Palma                     palma@onesource.pt
David van Moolenbroek           dvmoolenbroek@aimvalley.nl
Derek Cormier                   derek.cormier@lab.ntt.co.jp
Dhaval Badiani                  dbadiani@vmware.com
DK Moon                         dkmoon@nicira.com
Ding Zhi                        zhi.ding@6wind.com
Dong Jun                        dongj@dtdream.com
Dustin Spinhirne                dspinhirne@vmware.com
Edwin Chiu                      echiu@vmware.com
Eivind Bulie Haanaes
Enas Ahmad                      enas.ahmad@kaust.edu.sa
Eric Lopez                      elopez@nicira.com
Frido Roose                     fr.roose@gmail.com
Gaetano Catalli                 gaetano.catalli@gmail.com
Gavin Remaley                   gavin_remaley@selinc.com
Georg Schmuecking               georg.schmuecking@ericsson.com
George Shuklin                  amarao@desunote.ru
Gerald Rogers                   gerald.rogers@intel.com
Ghanem Bahri                    bahri.ghanem@gmail.com
Giuseppe de Candia              giuseppe.decandia@gmail.com
Gordon Good                     ggood@nicira.com
Greg Dahlman                    gdahlman@hotmail.com
Greg Rose                       gvrose8192@gmail.com
Gregor Schaffrath               grsch@net.t-labs.tu-berlin.de
Gregory Smith                   gasmith@nutanix.com
Guolin Yang                     gyang@vmware.com
Gur Stavi                       gstavi@mrv.com
Harish Kanakaraju               hkanakaraju@vmware.com
Hari Sasank Bhamidipalli        hbhamidi@cisco.com
Hassan Khan                     hassan.khan@seecs.edu.pk
Hector Oron                     hector.oron@gmail.com
Hemanth Kumar Mantri            mantri@nutanix.com
Henrik Amren                    henrik@nicira.com
Hiroshi Tanaka                  htanaka@nicira.com
Hiroshi Miyata                  miyahiro.dazu@gmail.com
Hsin-Yi Shen                    shenh@vmware.com
Hui Xiang                       xianghuir@gmail.com
Hyojoon Kim                     joonk@gatech.edu
Igor Ganichev                   iganichev@nicira.com
Igor Sever                      igor@xorops.com
Jacob Cherkas                   jcherkas@nicira.com
Jad Naous                       jnaous@gmail.com
Jamal Hadi Salim                hadi@cyberus.ca
James Schmidt                   jschmidt@nicira.com
Jan Medved                      jmedved@juniper.net
Janis Hamme                     janis.hamme@student.kit.edu
Jari Sundell                    sundell.software@gmail.com
Javier Albornoz                 javier.albornoz@hpe.com
Jed Daniels                     openvswitch@jeddaniels.com
Jeff Merrick                    jmerrick@vmware.com
Jeongkeun Lee                   jklee@hp.com
Jian Qiu                        swordqiu@gmail.com
Joan Cirer                      joan@ev0.net
John Darrington                 john@darrington.wattle.id.au
John Galgay                     john@galgay.net
John Hurley                     john.hurley@netronome.com
John Reumann                    nofutznetworks@gmail.com
Karthik Sundaravel              ksundara@redhat.com
Kashyap Thimmaraju              kashyap.thimmaraju@sec.t-labs.tu-berlin.de
Keith Holleman                  hollemanietf@gmail.com
Kevin Lin                       kevinlin@berkeley.edu
K 華                            k940545@hotmail.com
Kevin Mancuso                   kevin.mancuso@rackspace.com
Kiran Shanbhog                  kiran@vmware.com
Kirill Kabardin
Kirkland Spector                kspector@salesforce.com
Koichi Yagishita                yagishita.koichi@jrc.co.jp
Konstantin Khorenko             khorenko@openvz.org
Kris zhang                      zhang.kris@gmail.com
Krishna Miriyala                krishna@nicira.com
Krishna Mohan Elluru            elluru.kri.mohan@hpe.com
László Sürü                     laszlo.suru@ericsson.com
Len Gao                         leng@vmware.com
Linhaifeng                      haifeng.lin@huawei.com
Logan Rosen                     logatronico@gmail.com
Luca Falavigna                  dktrkranz@debian.org
Luiz Henrique Ozaki             luiz.ozaki@gmail.com
Manpreet Singh                  er.manpreet25@gmail.com
Marco d'Itri                    md@Linux.IT
Martin Vizvary                  vizvary@ics.muni.cz
Marvin Pascual                  marvin@pascual.com.ph
Maxime Brun                     m.brun@alphalink.fr
Madhu Venugopal                 mavenugo@gmail.com
Michael A. Collins              mike.a.collins@ark-net.org
Michael Ben-Ami                 mbenami@digitalocean.com
Michael Hu                      mhu@nicira.com
Michael J. Smalley              michaeljsmalley@gmail.com
Michael Mao                     mmao@nicira.com
Michael Shigorin                mike@osdn.org.ua
Michael Stapelberg              stapelberg@debian.org
Mihir Gangar                    gangarm@vmware.com
Mike Bursell                    mike.bursell@citrix.com
Mike Kruze                      mkruze@nicira.com
Mike Qing                       mqing@vmware.com
Min Chen                        ustcer.tonychan@gmail.com
Mikael Doverhag                 mdoverhag@nicira.com
Mircea Ulinic                   ping@mirceaulinic.net
Mrinmoy Das                     mrdas@ixiacom.com
Muhammad Shahbaz                mshahbaz@cs.princeton.edu
Murali R                        muralirdev@gmail.com
Nagi Reddy Jonnala              njonnala@Brocade.com
Niels van Adrichem              N.L.M.vanAdrichem@tudelft.nl
Niklas Andersson                nandersson@nicira.com
Oscar Wilde                     xdxiaobin@gmail.com
Pankaj Thakkar                  thakkar@nicira.com
Pasi Kärkkäinen                 pasik@iki.fi
Patrik Andersson R              patrik.r.andersson@ericsson.com
Paul Greenberg
Paulo Cravero                   pcravero@as2594.net
Pawan Shukla                    shuklap@vmware.com
Periyasamy Palanisamy           periyasamy.palanisamy@ericsson.com
Peter Amidon                    peter@picnicpark.org
Peter Balland                   peter@nicira.com
Peter Phaal                     peter.phaal@inmon.com
Prabina Pattnaik                Prabina.Pattnaik@nechclst.in
Pratap Reddy                    preddy@nicira.com
Ralf Heiringhoff                ralf@frosty-geek.net
Ram Jothikumar                  rjothikumar@nicira.com
Ramana Reddy                    gtvrreddy@gmail.com
Ray Li                          rayli1107@gmail.com
Richard Theis                   rtheis@us.ibm.com
RishiRaj Maulick                rishi.raj2509@gmail.com
Rob Sherwood                    rob.sherwood@bigswitch.com
Robert Strickler                anomalyst@gmail.com
Roger Leigh                     rleigh@codelibre.net
Rogério Vinhal Nunes
Roman Sokolkov                  rsokolkov@gmail.com
Ronaldo A. Ferreira             ronaldof@CS.Princeton.EDU
Ronny L. Bull                   bullrl@clarkson.edu
Sandeep Kumar                   sandeep.kumar16@tcs.com
Sander Eikelenboom              linux@eikelenboom.it
Saul St. John                   sstjohn@cs.wisc.edu
Scott Hendricks                 shendricks@nicira.com
Sean Brady                      sbrady@gtfservices.com
Sebastian Andrzej Siewior       sebastian@breakpoint.cc
Sébastien RICCIO                sr@swisscenter.com
Simon Jouet                     simon.jouet@gmail.com
Spiro Kourtessis                spiro@vmware.com
Sridhar Samudrala               samudrala.sridhar@gmail.com
Srini Seetharaman               seethara@stanford.edu
Sabyasachi Sengupta             Sabyasachi.Sengupta@alcatel-lucent.com
Salvatore Cambria               salvatore.cambria@citrix.com
Soner Sevinc                    sevincs@vmware.com
Stepan Andrushko                stepanx.andrushko@intel.com
Stephen Hemminger               shemminger@vyatta.com
Stuart Cardall                  developer@it-offshore.co.uk
Suganya Ramachandran            suganyar@vmware.com
Sundar Nadathur                 undar.nadathur@intel.com
Taekho Nam                      thnam@smartx.kr
Takayuki HAMA                   t-hama@cb.jp.nec.com
Teemu Koponen                   koponen@nicira.com
Thomas Morin                    thomas.morin@orange.com
Timothy Chen                    tchen@nicira.com
Torbjorn Tornkvist              kruskakli@gmail.com
Tulio Ribeiro                   tribeiro@lasige.di.fc.ul.pt
Tytus Kurek                     Tytus.Kurek@pega.com
Valentin Bud                    valentin@hackaserver.com
Vasiliy Tolstov                 v.tolstov@selfip.ru
Vasu Dasari                     vdasari@gmail.com
Vinllen Chen                    cvinllen@gmail.com
Vishal Swarankar                vishal.swarnkar@gmail.com
Vjekoslav Brajkovic             balkan@cs.washington.edu
Voravit T.                      voravit@kth.se
Yeming Zhao                     zhaoyeming@gmail.com
Yi Ba                           yby.developer@yahoo.com
Ying Chen                       yingchen@vmware.com
Yongqiang Liu                   liuyq7809@gmail.com
ZHANG Zhiming                   zhangzhiming@yunshan.net.cn
Zhangguanghui                   zhang.guanghui@h3c.com
Zheng Jingzhou                  glovejmm@163.com
Ziyou Wang                      ziyouw@vmware.com
ankur dwivedi                   ankurengg2003@gmail.com
chen zhang                      3zhangchen9211@gmail.com
james hopper                    jameshopper@email.com
kk yap                          yapkke@stanford.edu
likunyun                        kunyunli@hotmail.com
meishengxin                     meishengxin@huawei.com
neeraj mehta                    mehtaneeraj07@gmail.com
rahim entezari                  rahim.entezari@gmail.com
shivani dommeti                 shivani.dommeti@gmail.com
weizj                           34965317@qq.com
俊 赵                           zhaojun12@outlook.com
冯全树(Crab)                    fqs888@126.com
张东亚                          fortitude.zhang@gmail.com
胡靖飞                          hujingfei914@msn.com
张伟                            zhangwqh@126.com
张强                            zhangqiang@meizu.com
=============================== ===============================================

Thanks to all Open vSwitch contributors.  If you are not listed above
but believe that you should be, please write to dev@openvswitch.org.
